Home > Cannot Read > Cannot Read Termcap Database Python

Cannot Read Termcap Database Python

more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed Continuing the investigation...--Dave PageBlog: http://pgsnake.blogspot.comTwitter: @pgsnakeEnterpriseDB UK: http://www.enterprisedb.comThe Enterprise PostgreSQL Company reply | permalink Sergey White Hi all. I do the fresh install of9.0.2 from the binary installer.Everything works prefectly, except for not being able to run [email protected]:~$ /opt/PostgreSQL/9.0/bin/psqlPassword:psql (9.0.2)Type "help" for help.Cannot read termcap database;using dumb terminal settings.AbortedAnyone I have the same problem today was to install and create db inPSQL program in PostgreSQL 9.0.2 (Ubuntu 10.10 (32bit)). http://sauvblog.com/cannot-read/cannot-read-termcap-database-using-dumb-terminal-settings-python.html

However I tried this and I still get thesame error. Very weird. reply | permalink Dave Page Hmm, good question. o ports/144769 ruby [PATCH] ports-mgmt/portupgrade should have a configura f ports/144765 gahr [patch] devel/directfb -- update to 1.4.3 f kern/144763 emulation [linux] [panic] Kernel panic when start linux binaries o ports/144758 look at this site

I do the fresh install of 9.0.2 from the binary installer. reply Tweet Search Discussions Search All Groups PostgreSQL pgsql-bugs 12 responses Oldest Nested Dave Page There was a change in 9.0.2 to use libedit instead of readline for this (readline is Gabe Apparently my colleague downloaded and installed a tarball of GNU Gabe Nell at Feb 11, 2011 at 8:53 am ⇧ Just checking back to see if there have been any

In fact, in hitting delete the cursor would go forward one space visibly but back one space internally in the buffer. Draw a hollow square of # with given width What is with the speech audience? User Control Panel Log out Forums Posts Latest Posts Active Posts Recently Visited Search Results View More Blog Recent Blog Posts View More Photos Recent Photos My Favorites View More Photo Can you suggest that the appropriate package to install on Ubuntu?

reply | permalink Related Discussions -ltermcap needed for psql client build on OpenBSD 2.9 getBigDecimal problem Postmaster crash problems with OS X and beta 2 postgresql 7.1 driver Bug #923: psql WAN Link Load Balancing vs. The above fix fixed this for me. –Dave Kierans May 24 '12 at 8:53 add a comment| Your Answer draft saved draft discarded Sign up or log in Sign up http://forums.indigodomo.com/viewtopic.php?t=10201&f=18 Continuing the investigation... --Dave PageBlog:http://pgsnake.blogspot.comTwitter: @pgsnake EnterpriseDB UK:http://www.enterprisedb.comThe Enterprise PostgreSQL Company --Sent via pgsql-bugs mailing list ([email protected])To make changes to your subscription:http://www.postgresql.org/mailpref/pgsql-bugsHi all.

libedit el_init() passes "dumb" to ncurses if getenv("TERM") returns NULL. "dumb" isn't in /usr/src/etc/termcap.small 2. Any plans for migrating to 3.x? Can I hint the optimizer by giving the range of an integer? Thanks!

Log in / Username Password Verification Stay logged in Login Forgot Your Password? run `set -o emacs` see Cannot read termcap database; using dumb terminal settings. Why is this C++ code faster than my hand-written assembly for testing the Collatz conjecture? Cannot read termcap database; using dumb terminal settings.

o kern/145621 net [bge] [panic] bge watchdog timeout --resetting -> cras o kern/145613 [boot] booting from zfs root not working p kern/145600 rpaulo TCP/ECN behaves different to CE/CWR than ns2 reference weblink Then the error is gone.--View this message in context: http://postgresql.1045698.n5.nabble.com/BUG-5807-psql-fails-to-launch-with-Cannot-read-termcap-database-using-dumb-terminal-settings-Aborted-tp3321689p4424248.htmlSent from the PostgreSQL - bugs mailing list archive at Nabble.com. We havetested it at our end.Thanks Dharmendra, however in Ubuntu there is no package calledlibtermcap, though it has been suggested that the libncurses5-devpackage provides this [1]. I solved itby using this command: LD_PRELOAD = /lib/libreadline.so.5 ./psql I am still getting this problem.I do a fresh install of the latest debian.

All rights reserved. If you are not the intended recipient or authorized to receive this for the intended recipient, any use, dissemination, distribution, retention, archiving, or copying of this communication is strictly prohibited. Aborted" at 2011-01-06 20:54:38 from Gabe Nell Responses Re: BUG #5807: psql fails to launch with "Cannot read termcap database; using dumb terminal settings. http://sauvblog.com/cannot-read/cannot-read-termcap-database.html sh doesn't call el_set(el, EL_TERMINAL, term) when TERM changes.

You might try installing Lion again or acquiring a copy of the missing terminfo files and placing them in /usr/share/terminfo. Another possibility is setting your TERM environment variable to something that readline can't support: ~$ TERM=asr33 ~$ python Python 2.6.1 (r261:67515, Jun 24 2010, 21:47:49) [GCC 4.2.1 (Apple Inc. o Is asr33 in your termcap database?

Choose Installation Media is out o kern/145024 emulation [linux] [panic] kernel crash by linux.ko module with n o docs/145023 doc handbook section 2.4 Starting the Installation is outd o docs/145021 doc

Inequality caused by float inaccuracy Teenage daughter refusing to go to school How to reset the WiFi configuration in Raspbian Does f:x mean the same thing as f(x)? o ports/146737 mail/spamass-milter Add OPTIONS to Makefile f ports/146736 lwhsu [PATCH] net/tintin++: update to 2.00.1 o ports/146735 miwi [MAINTAINER] UPDATE graphics/libjpeg-turbo: update to o ports/146734 miwi graphics/yed: new version 3.5.0.1 o However I tried this and I still get the same error. We havetested it at our end.Thanks Dharmendra, however in Ubuntu there is no package calledlibtermcap, though it has been suggested that the libncurses5-devpackage provides this [1].

Did a thief think he could conceal his identity from security cameras by putting lemon juice on his face? None at all, as long as you keep them from stomping on each other. This message contains information from EnterpriseDB Corporation that may be privileged, confidential, or exempt from disclosure under applicable law. his comment is here Not the answer you're looking for?

Do humans have an obligation to prevent animal on animal violence? f ports/145896 stefan security/ossec-hids-client: "make package" fails "tar: o ports/145890 jmelo [PATCH] sysutils/stress: update to 1.0.4 o conf/145887 /usr/sbin/nologin should be in the default /etc/shells o www/145883 www Commercial Vendors o Aborted" Previous:From: Robert HaasDate: 2011-01-06 22:48:43 Subject: Re: BUG #5809: bigserial duplicate value Privacy Policy | About PostgreSQL Copyright © 1996-2016 The PostgreSQL Global Development Group Community | Code | Docs Aborted" at 2011-01-07 05:52:48 from Gabe Nell pgsql-bugs by date Next:From: Gabe NellDate: 2011-01-07 05:52:48 Subject: Re: BUG #5807: psql fails to launch with "Cannot read termcap database; using dumb terminal

Even that is slated to be unsupported in the future. Antonym for Nourish Operator ASCII art Can clients learn their time zone on a network configured using RA? Continuing the investigation... This messagecontains information from EnterpriseDB Corporation that may beprivileged, confidential, or exempt from disclosure under applicablelaw.

reply | permalink Javiero09 Hi, try with this: as superuser type: #infocmp -C > /etc/termcap it worked for my -- View this message in context: http://postgresql.1045698.n5.nabble.com/BUG-5807-psql-fails-to-launch-with-Cannot-read-termcap-database-using-dumb-terminal-settings-Aborted-tp3321689p4622693.html Sent from the PostgreSQL - post edited by jknap - 2015/02/03 01:38:51 #1 0 Replies Related Threads Jump to: Jump to - - - - - - - - - - [FortiGate / FortiOS UTM features] xterm-color is not recommended, as it represents an older branch of xterm that is not as functional. Gabe [1] http://ubuntuforums.org/showthread.php?t=1329390 Gabe Nell at Jan 7, 2011 at 5:52 am ⇧ If you install libtermcap then it will start working good.

o ports/146890 miwi [patch] shells/dash update to 0.5.6 o kern/146889 [libc] [patch] Not having NET_RT_IFLIST #defined cause o power/146888 ppc kernel panic when loading snd_ai2s o ports/146886 kuriyama www/mod_extract_forwarded build problem o kern/145064 [ata] [panic] Freebsd 8 boot panic on Asus P5WD2-E Pre o bin/145063 acpi [patch] powerd(8): Add -m and -M (minimum and maximum f ports/145062 itetcu audio/liblastfm: doesn't respect PREFIX [email protected]:~$ /opt/PostgreSQL/9.0/bin/psql Password: psql (9.0.2) Type "help" for help. even though /etc/termcap.small.db is readable and cons25/xterm entry exists >Fix: looking in NetBSD, /bin/sh calls setenv/unsetenv for "TERM" before el_init() and calls el_set(el, EL_TERMINAL, term) when TERM changes.

Can you suggest that the appropriate package to installon Ubuntu?Thanks!--Sent via pgsql-bugs mailing list ([email protected])To make changes to your subscription:http://www.postgresql.org/mailpref/pgsql-bugs--Dharmendra GoyalSenior Software EngineerEnterpriseDB CorporationThe Enterprise Postgres CompanyPhone: +91-20-30589493Mobile: +91-9552103323Website: http://www.enterprisedb.comEnterpriseDB Blog: Please sign in or sign up to post. Join us now!